Bug 270775 - Akregator crashed without open main window
Summary: Akregator crashed without open main window
Status: RESOLVED UNMAINTAINED
Alias: None
Product: akregator
Classification: Applications
Component: general (show other bugs)
Version: 1.6.6
Platform: OpenSUSE Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-12 17:22 UTC by Lach Sławomir
Modified: 2017-01-08 00:27 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lach Sławomir 2011-04-12 17:22:32 UTC
Application: akregator (1.6.6)
KDE Platform Version: 4.6.00 (4.6.0) "release 6"
Qt Version: 4.7.1
Operating System: Linux 2.6.38-18-desktop x86_64
Distribution: "openSUSE 11.4 (x86_64)"

-- Information about the crash:
I was doing nothing, just tell system to run akregator application (I wrote akregator into krunner)

The crash can be reproduced every time.

-- Backtrace:
Application: Akregator (akregator), signal: Segmentation fault
Traceback (most recent call last):
  File "<string>", line 27, in <module>
ImportError: No module named os.path
The current source language is "auto; currently asm".
[Current thread is 1 (Thread 0x7f1b36f04760 (LWP 7088))]

Thread 2 (Thread 0x7f1b1b331700 (LWP 7092)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:211
#1  0x00007f1b352380b2 in wait (time=30000, this=0xb3b9f0) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (time=30000, this=0xb3b9f0) at thread/qwaitcondition_unix.cpp:160
#3  0x00007f1b3522deb8 in QThreadPoolThread::run (this=0xadc9e0) at concurrent/qthreadpool.cpp:140
#4  0x00007f1b35237a5e in QThreadPrivate::start (arg=0xadc9e0) at thread/qthread_unix.cpp:285
#5  0x00007f1b2e6e0a3f in start_thread (arg=0x7f1b1b331700) at pthread_create.c:297
#6  0x00007f1b33af267d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f1b36f04760 (LWP 7088)):
[KCrash Handler]
#6  c4_HandlerSeq::NthHandler (this=0x7380b0, index_=<value optimized out>) at /usr/src/debug/kdepim-4.4.10/akregator/plugins/mk4storage/metakit/src/handler.inl:74
#7  0x00007f1b1d1762bd in c4_View::NthProperty (this=<value optimized out>, index_=<value optimized out>) at /usr/src/debug/kdepim-4.4.10/akregator/plugins/mk4storage/metakit/src/view.cpp:289
#8  0x00007f1b1d170822 in c4_HashViewer::Lookup (this=0x738590, key_=..., count_=@0x7fff5955f47c) at /usr/src/debug/kdepim-4.4.10/akregator/plugins/mk4storage/metakit/src/remap.cpp:340
#9  0x00007f1b1d1714e1 in c4_HashViewer::InsertRows (this=0x738590, pos_=0, value_=..., count_=<value optimized out>)
    at /usr/src/debug/kdepim-4.4.10/akregator/plugins/mk4storage/metakit/src/remap.cpp:395
#10 0x00007f1b1d176235 in InsertAt (count_=1, newElem_=..., index_=0, this=0x788110) at /usr/src/debug/kdepim-4.4.10/akregator/plugins/mk4storage/metakit/include/mk4.inl:103
#11 c4_View::Add (count_=1, newElem_=..., index_=0, this=0x788110) at /usr/src/debug/kdepim-4.4.10/akregator/plugins/mk4storage/metakit/src/view.cpp:247
#12 0x00007f1b1d183019 in Akregator::Backend::StorageMK4Impl::StorageMK4ImplPrivate::createFeedStorage (this=0x788100, url=...)
    at /usr/src/debug/kdepim-4.4.10/akregator/plugins/mk4storage/storagemk4impl.cpp:87
#13 0x00007f1b1eed3c8c in Akregator::Feed::loadArticles (this=0xb65240) at /usr/src/debug/kdepim-4.4.10/akregator/src/feed.cpp:234
#14 0x00007f1b1eed534a in Akregator::Feed::fromOPML (e=<value optimized out>, storage=0x774690) at /usr/src/debug/kdepim-4.4.10/akregator/src/feed.cpp:174
#15 0x00007f1b1eee0025 in Akregator::FeedList::parseChildNodes (this=0x9324e0, node=<value optimized out>, parent=0xb62820) at /usr/src/debug/kdepim-4.4.10/akregator/src/feedlist.cpp:237
#16 0x00007f1b1eee01c6 in Akregator::FeedList::parseChildNodes (this=0x9324e0, node=<value optimized out>, parent=<value optimized out>) at /usr/src/debug/kdepim-4.4.10/akregator/src/feedlist.cpp:255
#17 0x00007f1b1eee09f6 in Akregator::FeedList::readFromOpml (this=0x9324e0, doc=<value optimized out>) at /usr/src/debug/kdepim-4.4.10/akregator/src/feedlist.cpp:295
#18 0x00007f1b1ef1791b in Akregator::LoadFeedListCommand::Private::handleDocument (this=0x6e3990, doc=...) at /usr/src/debug/kdepim-4.4.10/akregator/src/loadfeedlistcommand.cpp:68
#19 0x00007f1b1ef183b3 in Akregator::LoadFeedListCommand::Private::doLoad (this=0x6e3990) at /usr/src/debug/kdepim-4.4.10/akregator/src/loadfeedlistcommand.cpp:173
#20 0x00007f1b1ef18772 in Akregator::LoadFeedListCommand::qt_metacall (this=0x6e3550, _c=InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff59560680)
    at /usr/src/debug/kdepim-4.4.10/build/akregator/src/loadfeedlistcommand.moc:78
#21 0x00007f1b35335def in QMetaObject::activate (sender=0xa939c0, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x0) at kernel/qobject.cpp:3272
#22 0x00007f1b3533bdbf in QSingleShotTimer::timerEvent (this=0xa939c0) at kernel/qtimer.cpp:308
#23 0x00007f1b35334799 in QObject::event (this=0xa939c0, e=<value optimized out>) at kernel/qobject.cpp:1175
#24 0x00007f1b34474d14 in QApplicationPrivate::notify_helper (this=0x647540, receiver=0xa939c0, e=0x7fff59560e30) at kernel/qapplication.cpp:4445
#25 0x00007f1b3447d22a in QApplication::notify (this=<value optimized out>, receiver=0xa939c0, e=0x7fff59560e30) at kernel/qapplication.cpp:4324
#26 0x00007f1b35c819e6 in KApplication::notify (this=0x7fff595611a0, receiver=0xa939c0, event=0x7fff59560e30) at /usr/src/debug/kdelibs-4.6.0/kdeui/kernel/kapplication.cpp:311
#27 0x00007f1b35320bfc in QCoreApplication::notifyInternal (this=0x7fff595611a0, receiver=0xa939c0, event=0x7fff59560e30) at kernel/qcoreapplication.cpp:732
#28 0x00007f1b3534e4d8 in sendEvent (event=0x7fff59560e30, receiver=<value optimized out>) at kernel/qcoreapplication.h:215
#29 QTimerInfoList::activateTimers (event=0x7fff59560e30, receiver=<value optimized out>) at kernel/qeventdispatcher_unix.cpp:618
#30 0x00007f1b3534b244 in timerSourceDispatch (source=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:184
#31 0x00007f1b2d36ebd3 in g_main_context_dispatch () from /lib64/libglib-2.0.so.0
#32 0x00007f1b2d36f3b0 in ?? () from /lib64/libglib-2.0.so.0
#33 0x00007f1b2d36f650 in g_main_context_iteration () from /lib64/libglib-2.0.so.0
#34 0x00007f1b3534b91f in QEventDispatcherGlib::processEvents (this=0x61c380, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:422
#35 0x00007f1b34519d8e in QGuiEventDispatcherGlib::processEvents (this=<value optimized out>, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#36 0x00007f1b35320052 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#37 0x00007f1b35320265 in QEventLoop::exec (this=0x7fff59561140, flags=...) at kernel/qeventloop.cpp:201
#38 0x00007f1b353246ab in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1009
#39 0x0000000000409715 in main (argc=<value optimized out>, argv=<value optimized out>) at /usr/src/debug/kdepim-4.4.10/akregator/src/main.cpp:103

Reported using DrKonqi
Comment 1 Denis Kurz 2016-09-24 19:40:59 UTC
This bug has only been reported for versions before 4.14, which have been unsupported for at least two years now. Can anyone tell if this bug still present?

If noone confirms this bug for a Framework-based version of akregator (version 5.0 or later, as part of KDE Applications 15.08 or later), it gets closed in about three months.
Comment 2 Lach Sławomir 2016-12-31 15:20:01 UTC
This bug probably is not present on KF5, but I don't know what really makes this bug happens.
Comment 3 Denis Kurz 2017-01-08 00:27:46 UTC
Just as announced in my last comment, I close this bug. If you encounter it again in a recent version (at least 5.0 aka 15.08), please open a new one unless it already exists. Thank you for all your input.